워드프레스 Yoast SEO 업데이트 후에 치명적인 오류 발생 - 워드프레스 정보꾸러미
베스트셀링 인기 워드프레스 테마 Top 30 자세한 정보

워드프레스 Yoast SEO 업데이트 후에 치명적인 오류 발생

Last Updated: 2022년 3월 28일 | 댓글 남기기
  • 네이버 블로그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

워드프레스 Yoast 플러그인 개발자는 업데이트 후에 일부 사이트에서 심각한 문제가 발생한 것에 대하여 사과했습니다. Yoast SEO 플러그인이 최근 공개한 18.4 버전으로 업데이트한 일부 사이트에서 치명적인 오류가 발생하여 이전 버전으로 되돌려야 했습니다.

Yoast는 신속히 문제가 수정된 업데이트를 내놓고 이러한 오류에 대해 별도의 글을 통해 사과문을 올렸습니다.

Yoast SEO 버전 18.4 업데이트

워드프레스 Yoast SEO 업데이트 후에 치명적인 오류 발생

Yoast 18.4에서는 블록체인 기술을 사용하여 저작권 보호를 위해 콘텐츠 및 구조화된 데이터 타임스탬프 기능을 도입했습니다.

이 새 기능은 콘텐츠가 작성되고 업데이트될 때 사이트 방문자에게 표시되는 검증 가능한 타임스탬프를 제공하는 WordProof라는 서비스에 연결되도록 의도되었습니다.

Yoast와 WordProof 통합 실패

WordProof 서비스는 타임스탬프와 저작권 침해 툴을 인증하기 위한 블록체인 인증서를 제공합니다. WordProof의 목표는 증명(proof)과 투명성을 제공하여 사이트의 신뢰를 증진하는 것이라고 합니다.

하지만 Yoast에서 이 기능을 통합하면서 Yoast가 오작동을 일으키며 사용자들에게 심각한 오류가 발생했습니다.

Yoast 버전 18.4와 18.4.1에서 일부 사용자들이 이 오류의 영향을 받는다고 보고되고 있습니다.

Yoast에 의하면, 현재 최신 버전인 Yoast 무료 버전 18.4.1과 Yoast Premium 버전 18.2.1에서는 안정화되었으며 두 버전 모두 새로운 WordProof 기능이 탑재되어 있지 않다고 합니다.

문제가 발생하는 사이트의 Yoast SEO 플러그인 업데이트 후 증상

Yoast SEO 플러그인 업데이트 후에 일부 사용자에게 심각한 문제가 발생했습니다.

  • XML 사이트맵에 노출되어서는 안 되는 비공개 콘텐츠를 포함한 모든 콘텐츠 타입이 표시됨
  • Yoast Search Appearance 설정 탭이 완전히 공백으로 표시됨
  • 치명적인 오류(Fatal Error) 메시지
  • 워드프레스에서 Yoast 플러그인 오류에 대한 메시지 전송

최신 버전에서 오류 수정됨

Yoast는 "Yoast SEO 18.4.1: Available now"라는 글을 통해 WordProof 서비스로 인한 문제 발생에 대해 설명하고 버전 18.4.1에서 문제가 해결되었으므로 최신 버전으로 업데이트할 것을 안내하고 있습니다.

In spite of extensive testing, some users, unfortunately, experienced issues with Yoast SEO 18.4. As they’ve swiftly reach out to our 24/7 support team, we were able to act quickly and roll back this release. The new stable versions are Yoast SEO 18.4.1 and Yoast SEO Premium 18.2.1, without the WordProof integration. We’re very sorry for any inconvenience you might have experienced.

광범위한 테스트에도 불구하고 일부 사용자들이 Yoast SEO 18.4에서 문제를 경험하게 되었고, 사용자들이 재빨리 Yoast에 알려와서 Yoast가 문제가 되는 기능을 신속히 롤백하여 WordProof 기능이 제외된 안정화된 버전(Yoast SEO 18.41, Yoast SEO Premium 18.2.1)을 내놓게 되었다고 합니다.

워드프레스 테마/플러그인 업데이트 문제

워드프레스 사이트를 안전하게 운영하려면 워드프레스, 테마, 플러그인을 항상 최신 버전으로 업데이트하는 것이 바람직합니다.

하지만 간혹 업데이트 후에 충돌이 발생하는 경우가 있습니다. 그러므로 중요한 사이트인 경우 백업을 한 후에 업데이트하는 것이 안전합니다.

최근 들어, Yoast SEORank Math SEO, UpdraftPlus와 같은 일부 플러그인이 자주 업데이트를 내놓고 있습니다. UpdraftPlus는 지난 2월에 심각한 보안 문제가 발견된 후부터 자주 업데이트를 릴리스하고 있습니다.

버그가 수정되거나 새로운 기능이 추가될 때마다 잦은 업데이트를 하는 테마나 플러그인이 있고, 버그와 새로운 기능을 모았다가 일정 주기마다 한꺼번에 업데이트하는 타입도 있습니다.

예전에 Divi 테마가 새로운 기능이 나올 때마다 거의 일주일마다 업데이트를 내놓은 적이 있었습니다. 하지만 업데이트가 너무 자주 나오게 되면 사용자들이 업데이트를 하느라 불편함을 느낄 수 있습니다. 처음에는 테마가 계속 버그를 수정하고 새로운 기능을 추가하여 지속적으로 개선되는 것 같아 긍정적인 생각이 들었지만 너무 자주 업데이트가 되다 보니 오히려 불편하게 느껴졌습니다. 이런 점을 의식했는지는 모르겠지만 Divi 테마도 최근에는 업데이트를 자주 하지는 않습니다.

이 블로그에 적용된 GeneratePress 테마는 몇 달에 한 번식 업데이트를 하는 편인데요. 테마 개발자에 의하면 사용자들의 불편을 최소화하기 위해 수정 사항들을 모았다가 한꺼번에 업데이트를 실시한다고 합니다.

보안 문제 같이 긴급한 사안은 즉시 업데이트를 릴리스하는 것이 맞지만, 긴급하지 않거나 중요하지 않은 업데이트는 한꺼번에 모았다가 공개하는 것이 사용자들의 불편을 최소화하는 방법인 것 같습니다.

참고



댓글 남기기

Leave a Comment